Skip to content
Ona Docs

UpdateRunnerPolicy

POST/gitpod.v1.RunnerService/UpdateRunnerPolicy

Updates an existing runner policy.

Use this method to:

  • Modify access levels
  • Change group roles
  • Update permissions

Examples

  • Update policy role:

    Changes a group’s access level.

    runnerId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    groupId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
    role: RUNNER_ROLE_USER
Body ParametersJSONExpand Collapse
groupId: optional string

group_id specifies the group_id identifier

formatuuid
role: optional RunnerRole
One of the following:
"RUNNER_ROLE_UNSPECIFIED"
"RUNNER_ROLE_ADMIN"
"RUNNER_ROLE_USER"
runnerId: optional string

runner_id specifies the project identifier

formatuuid
ReturnsExpand Collapse
policy: RunnerPolicy { groupId, role }
groupId: optional string
formatuuid
role: optional RunnerRole

role is the role assigned to the group

One of the following:
"RUNNER_ROLE_UNSPECIFIED"
"RUNNER_ROLE_ADMIN"
"RUNNER_ROLE_USER"

UpdateRunnerPolicy

curl https://app.gitpod.io/api/gitpod.v1.RunnerService/UpdateRunnerPolicy \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "policy": {
    "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "role": "RUNNER_ROLE_UNSPECIFIED"
  }
}
Returns Examples
{
  "policy": {
    "groupId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "role": "RUNNER_ROLE_UNSPECIFIED"
  }
}